package com.zhiqiyun.open.core.enmus;


/**
 * @author jtoms
 */

public enum ComplaintState implements IBaseEnum {
    /**
     *
     */
    PENDING(0, "待处理"), PROCESSED(1, "已处理");

    private final int value;
    private final String text;

    ComplaintState(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static ComplaintState valueOf(int value) {
        ComplaintState[] values = ComplaintState.values();
        for (ComplaintState type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }

    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
